Package com.ocient.rest.resources

# Class InfoResource

java.lang.Object
com.ocient.rest.resources.InfoResource

    @Path("")
    public class InfoResource
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InfoResource()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Map<Object,​Object>` | `getCommit()` |
`Map<Object,​Object>` | `getInfo()` |
`long` | `getPID()` |
`String` | `getVersion()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoResource

public InfoResource()

## Method Details

### getCommit

@GET @Path("commit") @Produces("application/json") public Map<Object,​Object> getCommit()

### getPID

@GET @Path("pid") @Produces("text/plain") public long getPID()

### getVersion

@GET @Path("version") @Produces("text/plain") public String getVersion()

### getInfo

@GET @Path("info") @Produces("application/json") public Map<Object,​Object> getInfo()